List tasks
curl --request GET \
--url https://api.amplemarket.com/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amplemarket.com/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amplemarket.com/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "01a01a7d-7f9d-71d2-bb1d-76c07ccff28d",
"automatic": false,
"type": "phone_call",
"status": "scheduled",
"due_on": "2026-08-19T12:47:07Z",
"finished_on": null,
"notes": "custom task notes",
"sequence_key": null,
"sequence_name": null,
"user_id": "01a01a7d-7da0-7b3b-a953-b1bfa551a383",
"user_email": "user@example.com",
"contact": {
"id": "0aa16187-1ce3-450d-9d7a-895cef65dbb3",
"name": "John Doe",
"email": "user@example.com"
}
}
],
"_links": {
"self": {
"href": "/tasks?page[size]=20&status=due&user_id=01a01a7d-7da0-7b3b-a953-b1bfa551a383"
}
}
}
Tasks
List tasks
List tasks
GET
/
tasks
List tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size
Page after
Page before
Filter by task automation type
Filter by task type
Filter by task status
Filter by associated contact local time hour being higher than this value
Required range:
0 <= x <= 23Filter by associated contact local time hour being lower than this value
Required range:
0 <= x <= 23Filter by associated message opens
Required range:
x >= 0Filter by name, email or company associated with task
Filter by associated sequence
Filter by user
Was this page helpful?